{
    "baseInfo": {
        "name": "张成",
        "nickName": "张成",
        "tiny": "https://img.bosszhipin.com/beijin/upload/avatar/20250211/607f1f3d68754fd006d510844c0273d99b737108b9d73a664006f977785f3a6a694eb527b0e564d8_s.png.webp",
        "birthday": "19930612",
        "age": "32岁",
        "gender": 1,
        "degree": 203,
        "degreeCategory": "本科",
        "account": "193******69",
        "emailBlur": "978****03@qq.com",
        "weixinBlur": "z56***01",
        "freshGraduate": 0,
        "workYears": 11,
        "nameShowType": 0,
        "bossCert": 0,
        "userCert": 2,
        "certGender": true,
        "certBirth": true,
        "startWorkDate": 20141201,
        "applyStatus": 0,
        "workYearDesc": "10年以上经验",
        "resumeStatus": 0,
        "resumeCount": 0,
        "complete": false,
        "weiXinSecurityUid": null,
        "garbageFieldList": null,
        "hometown": 0,
        "hometownName": null,
        "studyAbroadCertPass": 0,
        "highestEduExp": null,
        "showF3Optimize": 0,
        "startWorkDateDesc": "2014-12",
        "birthdayDesc": "1993-06"
    },
    "userDesc": "拥有10年深厚行业经验的资深前端架构师，专注前沿技术与业务融合，推动数字化产品创新升级。\n \n1. 技术栈与架构：熟练运用Vue、React等主流框架，搭配Webpack、Vite等构建工具进行高效开发。精通TypeScript，优化代码结构与维护性。擅长使用Redux、MobX管理复杂应用状态，搭建稳定架构。\n \n2. 跨端与组件化：掌握Flutter、React Native等跨端技术，实现多平台无缝运行。主导设计高复用组件库，利用Storybook管理组件，使组件复用率达70%，开发周期缩短40%。\n \n3. AI集成：积极探索AI与前端融合，集成GPT等大模型实现智能客服、内容生成，引入机器学习算法实现用户行为分析、个性化推荐，大幅提升用户参与度。\n \n4. 音视频处理：具备音视频处理能力，使用WebRTC实现实时通信，结合FFmpeg进行格式转换、剪辑。利用Media Source Extensions实现自适应码率播放，优化视频加载与播放体验。\n\n 5. 后端及多元开发：擅长使用Node.js搭配Express、Koa框架搭建高性能后端服务，优化接口响应速度。熟练运用Python进行数据处理、自动化脚本编写，结合Django、Flask框架开发后端应用，在数据挖掘与分析领域成果显著。掌握C#语言，基于.NET平台进行Windows桌面应用开发，具备丰富的Windows Forms、WPF项目经验，实现全栈技术链路的打通。",
    "applyStatus": 0,
    "lastlast_modify_time": "2025.11.05 13:41",
    "workEduDesc": "宝尊电子商务·架构师",
    "expectList": [
        {
            "id": "dfc1777a2703c9071nVz3d-0GVpYxA~~",
            "expectType": 0,
            "position": 100123,
            "positionName": "全栈工程师",
            "customPositionId": "",
            "positionType": 0,
            "location": 101020100,
            "locationName": "上海",
            "subLocation": 0,
            "subLocationName": null,
            "lowSalary": 20,
            "highSalary": 30,
            "salaryDesc": "20-30K",
            "salaryDescNew": "20-30K",
            "industryList": [],
            "industryDesc": "行业不限",
            "suggestPosition": "",
            "applyStatus": 0,
            "freshGraduate": 0,
            "doneWorkPositionList": null,
            "garbageFieldList": null,
            "interestPositionList": null,
            "interestLocationList": null,
            "industryExpect": false,
            "tagName": null
        }
    ],
    "workExpList": [
        {
            "id": "9bd3116c0333c52d1nJ_09y-EldZx465V_-X",
            "companyName": "上海宝尊电子商务有限公司",
            "industry": {
                "code": 100020,
                "name": "互联网"
            },
            "department": "",
            "customPositionName": "架构师",
            "position": 100704,
            "positionName": "架构师",
            "positionLv2": 100700,
            "startDate": "2019.06",
            "startDateStr": "2019.06",
            "endDate": "2024.12",
            "endDateStr": "2024.12",
            "emphasis": [],
            "workContent": "智能视频剪辑系统(2021.07-2024.12)\n技术栈:Vue2+Element UI+WebAssembly+Canvas+Konva.js+WebSocket+GSAP\n核心功能:\n1.视频处理:基于WebAssembly解析视频信息,实现大文件分片上传,支持200G+视频处理\n2.创意编辑:使用Konva.js开发多层级编辑器,实现图片分层、文字动画、贴片特效\n3.动画系统:基于GSAP开发文字特效、Logo动画,支持动态片头片尾制作\n4.预览系统:使用Canvas实现视频片段预览,支持时间轴精确定位\n5.任务管理:基于WebSocket实现批量任务进度实时通知\n项目成果:视频处理效率提升300%|日均处理1000+视频|压缩率达97%|任务效率提升200%|降低\n人工成本60%",
            "workPerformance": "",
            "isPublic": 1,
            "workType": 1,
            "suggestToDel": 0,
            "garbageFieldList": null
        },
        {
            "id": "283b1abcae6041e41nJ_0969ElpVy423Vvic",
            "companyName": "上海航天动力科技工程有限公司",
            "industry": {
                "code": 100021,
                "name": "计算机软件"
            },
            "department": "",
            "customPositionName": "架构师",
            "position": 100704,
            "positionName": "架构师",
            "positionLv2": 100700,
            "startDate": "2018.06",
            "startDateStr": "2018.06",
            "endDate": "2019.06",
            "endDateStr": "2019.06",
            "emphasis": [],
            "workContent": "技术栈:Vue2+iView+OpenLayers+Cesium+WebSocket+Less\n核心功能:\n1.GIS可视化:基于OpenLayers实现管网GIS展示,支持多图层管理\n2.实时监控:使用WebSocket推送报警信息,实现管道水流方向动画\n3.数据分析:集成ECharts开发运营分析、报表统计功能\n4.空间分析:使用Turf.js实现等差线绘制,可视化爆管位置\n项目成果:地图加载提升200%|漏损检测准确率95%|节省成本300万+|服务10+水务公司|覆盖管\n网1000km+",
            "workPerformance": "",
            "isPublic": 1,
            "workType": 1,
            "suggestToDel": 0,
            "garbageFieldList": null
        },
        {
            "id": "d18fc7f74a6479ee1nJ_0969ElpVy423Vvid",
            "companyName": "上海开澜软件有限公司",
            "industry": {
                "code": 100021,
                "name": "计算机软件"
            },
            "department": "",
            "customPositionName": ".NET",
            "position": 100107,
            "positionName": ".NET",
            "positionLv2": 100100,
            "startDate": "2016.06",
            "startDateStr": "2016.06",
            "endDate": "2018.06",
            "endDateStr": "2018.06",
            "emphasis": [
                "HTML"
            ],
            "workContent": "滩涂造地BIM管理系统(2017.01-2018.05)\n技术栈:jQuery+EasyUI+BIMViz+百度图+WebAppOffice\n核心功能:\n1.BIM可视化:集成BIMViz实现模型在线预览,支持构件查询和联动\n2.地图集成:基于百度地图API实现工程位置展示和空间分析\n3.文档管理:使用WebAppOffice实现在线预览,支持多格式文档\n4.工作流程:开发OA审批流程,实现物料申请和人员管理\n项目成果:BIM性能提升200%|审批效率提升150%|支持50+文档格式|日均处理500+工单|管理效\n率提升80%",
            "workPerformance": "",
            "isPublic": 1,
            "workType": 1,
            "suggestToDel": 0,
            "garbageFieldList": null
        },
        {
            "id": "c07196b9b117210f1nJ_0969ElpVy423Vvie",
            "companyName": "上海加谷网络科技有限公司",
            "industry": {
                "code": 100002,
                "name": "游戏"
            },
            "department": "",
            "customPositionName": ".NET",
            "position": 100107,
            "positionName": ".NET",
            "positionLv2": 100100,
            "startDate": "2014.06",
            "startDateStr": "2014.06",
            "endDate": "2016.05",
            "endDateStr": "2016.05",
            "emphasis": [
                "HTML"
            ],
            "workContent": "H5营销平台开发(2014.06-2016.05)\n技术栈:jQuery+Canvas+CSS3+HTML5+微信JSSDK\n核心功能:\n1.互动游戏:开发大转盘抽奖、刮刮卡、砸金蛋等H5游戏\n2.动画特效:自研Canvas动画框架,支持Flash动画转换\n3.低代码平台:开发可视化搭建工具,支持营销活动快速生成\n4.社交功能:集成微信分享、支付、授权等功能项目成果:服务200+品牌|开发效率提升300%|上线周期缩短80%|转化率提升150%|支持百万级访问",
            "workPerformance": "",
            "isPublic": 1,
            "workType": 1,
            "suggestToDel": 0,
            "garbageFieldList": null
        }
    ],
    "projectExpList": [
        {
            "id": "903b8e07eb7f44ca1nx50t-6EFZQw4i8UvKY",
            "name": "AI智能视频剪辑系统",
            "roleName": "全栈工程师",
            "url": "",
            "startDate": "2024.01",
            "endDate": "",
            "projectDesc": "系统简介\nai智能视频剪辑系统,可通过淘宝直播间,天猫,淘宝商品链接,自动从直播间中按照商品切片,并输出到天猫商品详情页主视频,发布到小红书,淘宝微淘等平台,可批量生成视频,处理视频,前端技术栈:vue全家桶+elemeui+浏览器插件\n后端技术栈:Node.js+Koa2+Vue2+FFmpeg+Redis\n功能模块:\n1.内容采集:开发Chrome浏览器插件自动获取直播回放、商品时间点智能识别、多平台视频源导入本地大视频文件上传,支持200g左右大文件批量上传,断点续传等功能\n2.任务管理:用户可以批量创建任务,任务实时状态使用WebSocket更新并通知\n3.模版管理:可基于execl文件批量创建任务,动态生成片尾图和首图\n4.智能生成:基于GPT的视频内容理解、关键片段提取和智能场景组合、60秒精华自动生成\n5.内容编辑:多轨道编辑和场景识别分割、转场特效库和字幕样式编辑、贴纸滤镜和音频处理、GSAP文字动画和Logo动效\n6.深度剪辑:用户可以拖动句子,自动以切片输出内容\n7.发布管理:多格式导出和自定义分辨率码率、批量导出队列和云端渲染、进度实时展示\n8.视频特效开发:如:文字抖动,花字,特效,特殊字幕,贴片动画等工作成果:\n1.使用FFmpeg开发视频处理引擎,支持多种视频格式转码,压缩进度回调\n2.设计任务队列系统,服务器CPU使用率控制在70%以下,使用负载均衡分摊压力,实现任务批量处理\n3.集成GPT模型,视频内容理解准确率达85%,精华片段提取效率提升200%\n4.实现大文件分片上传,支持断点续传,上传成功率99%\n5.开发完整的日志追踪系统,问题定位时间缩短,使用sse日志推送至前端页面可实时观察任务处理情况,接入报警机器人报警推送至企业微信群\n6.开发前端视频渲染引擎,图片编辑器,js逆向破解支持数据采集成功\n7.封装常用前端组件库,前端框架搭建与维护,指导其他组员开发,解决问题",
            "performance": "",
            "suggestToDel": 0,
            "garbageFieldList": null,
            "startDateStr": "2024.01",
            "endDateStr": "至今"
        },
        {
            "id": "2a6ee534976187341nx50t-6EVNWyoq-Vf-e",
            "name": "水务DMA分区计量管理系统",
            "roleName": "全栈工程师",
            "url": "",
            "startDate": "2023.07",
            "endDate": "",
            "projectDesc": "DMA (DistrictMetered Area)分区计量管理系统是一种先进的、专门应用于供水管网精细化管理的综合性系统。\n通过将供水管网划分成多个相对独立的计量区域(即DMA分区),在每个分区的进水口和出水口等关键节点安装高精度的计量设备,精确监测和记录水流的流入、流出情况,实现对各个分区内水量的实时计量与分析,其核心原理是基于封闭区域水量平衡理论,通过对比流入和流出水量等数据,精准定位可能存在的管网漏损点以及评估管网运行状态,助力供水企业实现科学管理、高效节水以及提升供水服务质量.\n前端技术栈:vue全家桶+elemeui,c#+wpf\n后端技术栈:Node.js+Koa2+mysq\n功能模块:\n1.实时数据处理:对DMA分区计量设备的水流数据进行清洗、校验和初步分析\n2.GIS数据管理:提供接口实现与地理信息系统的数据交互,管理管网地理空间数据。\n3.数据存储:基于MongoDB设计数据存储架构,进行数据备份与恢复。\n4.管网可视化:通过地图展示供水管网地理空间数据,支持多种地图操作\n5.空间分析:实现管网连通性、最短路径、缓冲区等空间分析功能。\n6.地图交互:提供地图标注和测距工具。\n7.实时数据推送:利用WebSocket实时推送DMA分区计量和设备状态数据。\n8.智能报警:实时监测管网异常,生成报警信息并通知相关人员,对报警信息分类统计\n9.设备状态监控:实时获取计量设备工作状态、电量等信息,分析运行历史数据数据采集功能\n10.数据采集程序:使用C#的WPF开发可与多种RTU设备通信的采集程序\n11.动态解析:服务端动态接收并自动解析不同RTU设备的数据。\n12.数据展示与导出:以图表和表格展示采集数据,支持CSV格式动态导出。\n项目成果:支持10000+设备并发查询性能提升150%系统稳定性99.99",
            "performance": "",
            "suggestToDel": 0,
            "garbageFieldList": null,
            "startDateStr": "2023.07",
            "endDateStr": "至今"
        },
        {
            "id": "6aa05589bc43d7711nx50t-6EVNWyoq-Vf-d",
            "name": "bb物语小程序商城",
            "roleName": "全栈工程师",
            "url": "",
            "startDate": "2023.05",
            "endDate": "",
            "projectDesc": "技术架构:\n前端:Vue2+mpVue\n后端:node.js+koa2+sequelize\n数据库:MySQL+Redis\n功能模块:\n1.商品管理:商品分类、商品上架、库存管理、价格管理、商品搜索\n2.订单管理:订单创建、订单支付、订单取消、订单查询,订单统计\n3.用户管理:用户注册、用户登录、用户信息管理、用户积分、用户等级\n4.营销管理:优惠券管理、满减活动、限时抢购、拼团活动、积分兑换\n5.支付系统:微信支付、支付宝支付\n4.设计用户管理系统,支持用户注册、登录、信息管理和积分系统\n5.开发营销管理模块,支持优惠券、满减活动、限时抢购和拼团活动\n6.实现数据分析功能,支持销售数据统计,用户行为分析、商品热度分析、营销效果分析\n工作成果:\n1.实现商品管理系统,支持商品的分类、上架、库存和价格管理\n2.开发订单管理模块,支持订单的创建、支付、取消和查询\n3.集成多种支付方式,支持微信支付、支付宝支付\n4.设计用户管理系统,支持用户注册、登录、信息管理和积分系统\n5.开发营销管理模块,支持优惠券、满减活动、限时抢购和拼团活动\n6.实现数据分析功能,支持销售数据统计,用户行为分析和商品热度分析\n7.支持三级分销,以及销售人员工资统计",
            "performance": "",
            "suggestToDel": 0,
            "garbageFieldList": null,
            "startDateStr": "2023.05",
            "endDateStr": "至今"
        },
        {
            "id": "32010e34944e04851nJ_0969E1JQx4q-Vfuc",
            "name": "AI智能写手系统",
            "roleName": "全栈开发工程师",
            "url": "",
            "startDate": "2020.03",
            "endDate": "2021.07",
            "projectDesc": "技术栈:Vue2+Element Ul+WebSocket+jWT+Less+Webpack+Node.js\n核心功能:\n1.平台管理:基于IWT的权限控制,实现品牌管理、角色权限、秀场墙功能\n2.内容制作:开发智能语句生成,作品库管理,多元化批量处理功能\n3.数据采集:Chrome插件开发,实现多平台商品信息自动采集\n4.多端适配:使用Rem+Flex实现响应式布局,支持不同屏幕自适应\n5.自动发布:开发多平台发布插件,支持淘宝天猫京东等平台内自动发布\n6.定时任务:基于Node.js实现定时发布、数据同步、内容更新等动化任务\n项目成果:开发效率提升200%|首屏加载800ms|数据处理效率提升300%|服务10+品牌|运营效率\n提升400%|任务成功率99.5%",
            "performance": "开发效率提升200%首屏加载800ms数据处理效率提升300%服务10+品牌运营效率\n提升400%任务成功率99.5%",
            "suggestToDel": 0,
            "garbageFieldList": null,
            "startDateStr": "2020.03",
            "endDateStr": "2021.07"
        },
        {
            "id": "1dc51326ce11bc601nJ_0969E1JQx4q-Vfud",
            "name": "易分析取数工具",
            "roleName": "全栈开发工程师",
            "url": "",
            "startDate": "2019.08",
            "endDate": "2020.03",
            "projectDesc": "系统简介\n获取天猫,淘宝,腾讯,小红书蒲公英商家后台数据,用与大数据做营销精细化运营,支持人群画像,地域,人群,粉丝,购买,等一些列数据,以及达人数据粉丝数,带货数,直播场次,直播效果,商品评论,数据做分析\n前端技术栈:vue全家桶+elemeui+浏览器插件\n后端技术栈:Node.js+Koa2+mysql,Pythopn+Selenium+Flask\n功能模块:\n1.前端数据采集:淘宝数据银行API对接,策略中心数据抓取,生意参谋数据同步,营销数据实时获取\n2.后端数据采集:\n3.插件功能:多平台数据采集插件、自定义数据抓取规则、请求拦截和数据过滤、离线数据缓存\n4.数据处理:多维度数据整合分析、数据清洗和结构化、自定义数据导出、实时数据同步\n5.监控预警:数据采集任务监控、异常采集预警,数据质量监控、采集额度管理\n工作成果:\n1.支持淘宝全站数据采集,日均处理5000+数据\n2.开发通用数据采集引擎,支持自定义采集规则\n3.实现数据实时同步,延迟<500ms\n4.分布式爬虫系统架构,支持分布式抓取",
            "performance": "1. 设计插件热更新方案,实现核心模块动态替换和状态保持\n2. 开发多浏览器兼容层,解决不同浏览器API差异问题实现插件配置动态更新和按需加载机制\n3. 使用Sequelize设计数据模型,处理复杂的表关联和数据同步重写浏览器原生Ajax,实现智能请求拦截和缓存策略\n4. 开发分布式日志系统,支持问题快速定位",
            "suggestToDel": 0,
            "garbageFieldList": null,
            "startDateStr": "2019.08",
            "endDateStr": "2020.03"
        },
        {
            "id": "e4294f91116b15dc1nJ_0969E1JQx4q-Vfue",
            "name": "全工况智能终端采集系统",
            "roleName": ".net软件工程师",
            "url": "",
            "startDate": "2018.05",
            "endDate": "2018.08",
            "projectDesc": "技术栈:WPF+Socket+InfluxDB+PostgreSQL\n核心功能:\n1.数据采集:实现Socket高并发通信,支持多协议解析\n2.实时监控:开发设备状态实时监控界面\n3.数据存储:设计混合数据库方案,优化查询性能\n4.可视化:实现数据实时展示和趋势分析\n项目成果:支持10000+设备并发|查询性能提升150%|系统稳定性99.99%|支持亿级数据毫秒级查询",
            "performance": "1.实现百万级数据快速查询,平均查询时间<500ms\n2.设计实时数据动态渲染方案\n3.优化数据库性能,批量写入效率提升50%\n4.实现数据自动分级存储和归档\n5.开发设备状态实时监控系统",
            "suggestToDel": 0,
            "garbageFieldList": null,
            "startDateStr": "2018.05",
            "endDateStr": "2018.08"
        },
        {
            "id": "96160107ede0ae851nJ_0969E1JQx4q-Vfuf",
            "name": "宝山排水证管理系统",
            "roleName": ".net软件工程师",
            "url": "",
            "startDate": "2017.01",
            "endDate": "2017.07",
            "projectDesc": "技术栈:AngularjS+KendoUI+lonic+TypeScript+MongoDE\n核心功能:\n1.PC端开发:基于KendoUI快速构建后台管理界面,实现许可证全流程管理\n2.移动端开发:使用lonic+Aneular开发跨平台App,支持iOS和Androic\n3.表单设计:实现动态表单配置,支持多类型数据录入和自定义校验规则\n4.流程管理:开发审批流程引擎,支持条件分支、并行审批、委托授权\n5.地图功能:集成百度地图,实现排水户分布展示和空间位置选择\n6.统计分析:开发数据可视化大屏,展示许可证办理情况和区域分布移动端技术难点:\n基于lonic+Cordova实现原生功能调用,如相机、定位、文件系统等解决Android返回键监听和iOS手势返冲突问题\n实现大文件分片上传和断点续传,支持现场照片批量上传\n开发自定义相机组件,支持照片压缩和水印添加使用SOLite实现本地数据存储,解决断网环境下的数据同光\n优化Scroll性能,解决长列表滚动卡顿问题\n处理键盘弹出时的页面布局自适应\n解决iOS和Android平台字体、样式兼容性问题\n实现应用内检查更新和增量更新功能\n优化首屏加载速度,实现资源按需加载\n项目成果:办理时间缩短80%|代码复用率80%|响应时间300ms|审批效率提升200%",
            "performance": "1. 实现大文件分片上传和断点续传,支持现场照片批量上传开发自定义相机组件,支持照片压缩和水印添加使用SOLite实现本地数据存储,解决断网环境下的数据同光\n2. 优化Scroll性能,解决长列表滚动卡顿问题处理键盘弹出时的页面布局自适应解决iOS和Android平台字体、样式兼容性问题实现应用内检查更新和增量更新功能\n3. 优化首屏加载速度,实现资源按需加载",
            "suggestToDel": 0,
            "garbageFieldList": null,
            "startDateStr": "2017.01",
            "endDateStr": "2017.07"
        },
        {
            "id": "c06dfe8c3678cf231nJ90tq7EVpQxo6_V_qW",
            "name": "H5营销平台",
            "roleName": ".net软件工程师",
            "url": "",
            "startDate": "2014.06",
            "endDate": "2016.05",
            "projectDesc": "技术栈:Vue2+Canvas+CSS3+微信ISSDK+.Net\n功能模块:\n1.游戏开发:开发大转盘抽奖、刮刮卡等H5游戏、自研Canvas动画框架、支持Flash动画转换\n2.内容管理:开发可视化搭建工具、支持营销活动快速生成、实现模板在线编辑\n3.社交功能:集成微信分享、支付、授权、开发用户数据分析、实现活动数据统计\n项目成果:服务200+品牌开发效率提升300%转化率提升150%",
            "performance": "",
            "suggestToDel": 0,
            "garbageFieldList": null,
            "startDateStr": "2014.06",
            "endDateStr": "2016.05"
        },
        {
            "id": "4e09afd8b41347c61nJ_0969E1JQx4q-VfqW",
            "name": "物料ERP管理系统",
            "roleName": "前端开发工程师",
            "url": "",
            "startDate": "2014.08",
            "endDate": "2015.06",
            "projectDesc": "技术栈:jQuery+Bootstrap+EasyUl+WebSocket+SQL Server\n核心功能:\n1.库存管理:实现物料库、出库、调拨、盘点等完整业务流程\n2.采购管理:开发供应商管理、询价比价、采购计划、订单跟踪功能\n3.生产管理:实现BOM管理、生产计划、物料需求计划(MRP)功能\n4.报表分析:开发库存周转率、采购分析、成本核算等统计报表\n5.预警提醒:设置库存预警、采购超期、价格异常等自动提醒\n技术难点:\n开发物料编码生成器,支持多级分类和自定义规则\n实现基于WebSocket的实时库存变更提醒\n设计MRP运算引擎,优化大批量数据处理性能\n开发报表导出功能,支持复杂表头和数据汇总项目成果:库存周转提升40%|采购成本降低15%|支持100+用户并发|日均处理3000+笔业务",
            "performance": "1. 开发物料编码生成器,支持多级分类和自定义规则\n2. 实现基于WebSocket的实时库存变更提醒\n3. 设计MRP运算引擎,优化大批量数据处理性能\n4. 开发报表导出功能,支持复杂表头和数据汇",
            "suggestToDel": 0,
            "garbageFieldList": null,
            "startDateStr": "2014.08",
            "endDateStr": "2015.06"
        }
    ],
    "educationExpList": [
        {
            "id": "ee34188f32f9cecc1XF52NW5F1dT",
            "schoolId": 2811,
            "school": "武汉工程大学",
            "major": "计算机应用技术(大数据方向)",
            "degree": 203,
            "eduType": 2,
            "degreeName": "本科",
            "startYear": "2021",
            "endYear": "2024",
            "educationDesc": "",
            "country": "",
            "tags": [
                "卓越工程师计划"
            ],
            "schoolType": 0,
            "suggestToDel": 0,
            "thesisTitle": "",
            "thesisDesc": "",
            "majorRanking": 0,
            "courseList": [],
            "badge": "https://img.bosszhipin.com/beijin/icon/bed7df948518127f74daa2ee178c44fc6bb61e3b7bce0931da574d19d1d82c88.jpg",
            "certified": 0,
            "garbageFieldList": null,
            "startYearStr": "2021",
            "endYearStr": "2024"
        },
        {
            "id": "e095a1ceefdd0cc31XF52NW6FVZY",
            "schoolId": 2831,
            "school": "武汉软件工程职业学院",
            "major": "软件技术",
            "degree": 202,
            "eduType": 1,
            "degreeName": "大专",
            "startYear": "2011",
            "endYear": "2014",
            "educationDesc": "",
            "country": "",
            "tags": [],
            "schoolType": 0,
            "suggestToDel": 0,
            "thesisTitle": "",
            "thesisDesc": "",
            "majorRanking": 0,
            "courseList": [],
            "badge": "https://img.bosszhipin.com/beijin/icon/18282111c2fc8e191c5b6aedcece5a956bb61e3b7bce0931da574d19d1d82c88.jpg",
            "certified": 0,
            "garbageFieldList": null,
            "startYearStr": "2011",
            "endYearStr": "2014"
        }
    ],
    "socialContactList": null,
    "volunteerExpList": null,
    "certificationList": null,
    "trainingExpList": null,
    "designWorksImage": null,
    "designWorksVideo": null,
    "personalImage": null,
    "deliciousFoodImage": null,
    "garbage": {
        "status": 0,
        "reasonCode": 0,
        "resumeDetailStatus": 0,
        "garbageBaseInfo": null,
        "baseInfo": null,
        "garbageUserDesc": null,
        "personalAdvantages": null,
        "garbageWorkExp": null,
        "workExp": null,
        "garbageEduExp": null,
        "eduExp": null,
        "garbageProjectExp": null,
        "projectExp": null,
        "garbageVolunteerExp": null,
        "volunteerExp": null,
        "garbageExpectList": null,
        "expect": null,
        "garbageCertificationList": null,
        "certification": null,
        "designWorks": null,
        "designWorksImageList": null,
        "designWorksVideoList": null,
        "garbageHandicapped": null,
        "handicapped": null,
        "trainingExp": null,
        "clubExp": null,
        "professionalSkill": null,
        "honor": null
    },
    "editStatus": {
        "canAddExpect": true,
        "canAddWorkExp": true,
        "canAddProjectExp": true,
        "canAddEduExp": true,
        "canAddSocialContact": true
    },
    "doneWorkPositionList": [],
    "handicappedInfo": null,
    "postExpList": [],
    "myLabels": null,
    "clubExpList": [],
    "professionalSkill": null,
    "honorList": [],
    "feature": {
        "showNewPositionStyle": 1,
        "showHandicappedModule": 0,
        "showResumeImportBtn": 1,
        "showResumeImportBtnRedDot": false,
        "showResumeFillHelper": 1,
        "showTrainingExpModule": 0,
        "showF3Optimize": 1,
        "showPostExpModule": 0,
        "webResumeLabelModule": 0,
        "expectLocationInterestCombine": 0,
        "stuMultiExpectChoose": 0,
        "useNewStruct": 1
    },
    "virtualPartTimeCombineExpect": null,
    "extendInfo": {
        "shareUrl": "https://m.zhipin.com/mpa/html/resume-detail?sid=self&securityId=I8Nn8H-vv1Tt2-x1OxkE4U0hH697NrOJFEJF_pkEXnMTR6gLbbUXGWy9pFLFnOy9YeLxI-31CLT9aCmPeQ_YSVDoSj1AMLuej3IhRhkUgQzm98k4pG1F7XVZdNphlh2Mc8Wr2PltQNmRB2eJHwcx4j338ACBezr_YAvcjOQ~",
        "shareText": "{\"showQQShare\":false,\"smsShareTitle\":\"牛人张成  10年以上工作经验，目标 全栈工程师职位，求靠谱Boss带走。迅速进入@Boss直聘，把TA带走，下载链接奉上：https://m.zhipin.com/download?from=duanxin\",\"wbShareTitle\":\"#招聘#牛人张成  10年以上工作经验，目标 全栈工程师职位，求靠谱Boss带走。迅速进入@Boss直聘，把TA带走，下载链接奉上：https://m.zhipin.com/download?from=weibo\",\"wxShareDesc\":\"经验：10年以上工作经验   期望薪资：20-30K\",\"wxShareTitle\":\"【Boss直聘】张成正在求职全栈工程师\"}"
    },
    "moduleList": [
        {
            "moduleType": 10,
            "moduleName": "个人信息",
            "customConfig": {
                "showType": 0,
                "desc": null,
                "tag": null
            },
            "data": {
                "name": "张成",
                "nickName": "张成",
                "tiny": "https://img.bosszhipin.com/beijin/upload/avatar/20250211/607f1f3d68754fd006d510844c0273d99b737108b9d73a664006f977785f3a6a694eb527b0e564d8_s.png.webp",
                "birthday": "1993-06",
                "age": "32岁",
                "gender": 1,
                "degree": 203,
                "degreeCategory": "本科",
                "account": "193******69",
                "emailBlur": "978****03@qq.com",
                "weixinBlur": "z56***01",
                "freshGraduate": 0,
                "workYears": 11,
                "nameShowType": 0,
                "bossCert": 0,
                "userCert": 2,
                "certGender": true,
                "certBirth": true,
                "startWorkDate": 20141201,
                "applyStatus": 0,
                "workYearDesc": "10年以上经验",
                "resumeStatus": 0,
                "resumeCount": 0,
                "complete": false,
                "weiXinSecurityUid": null,
                "garbageFieldList": null,
                "hometown": 0,
                "hometownName": null,
                "studyAbroadCertPass": 0,
                "highestEduExp": null,
                "showF3Optimize": 0,
                "startWorkDateDesc": "2014-12",
                "birthdayDesc": "1993-06"
            },
            "dataList": null
        },
        {
            "moduleType": 11,
            "moduleName": "个人优势",
            "customConfig": {
                "showType": 0,
                "desc": null,
                "tag": null
            },
            "data": {
                "userDesc": "拥有10年深厚行业经验的资深前端架构师，专注前沿技术与业务融合，推动数字化产品创新升级。\n \n1. 技术栈与架构：熟练运用Vue、React等主流框架，搭配Webpack、Vite等构建工具进行高效开发。精通TypeScript，优化代码结构与维护性。擅长使用Redux、MobX管理复杂应用状态，搭建稳定架构。\n \n2. 跨端与组件化：掌握Flutter、React Native等跨端技术，实现多平台无缝运行。主导设计高复用组件库，利用Storybook管理组件，使组件复用率达70%，开发周期缩短40%。\n \n3. AI集成：积极探索AI与前端融合，集成GPT等大模型实现智能客服、内容生成，引入机器学习算法实现用户行为分析、个性化推荐，大幅提升用户参与度。\n \n4. 音视频处理：具备音视频处理能力，使用WebRTC实现实时通信，结合FFmpeg进行格式转换、剪辑。利用Media Source Extensions实现自适应码率播放，优化视频加载与播放体验。\n\n 5. 后端及多元开发：擅长使用Node.js搭配Express、Koa框架搭建高性能后端服务，优化接口响应速度。熟练运用Python进行数据处理、自动化脚本编写，结合Django、Flask框架开发后端应用，在数据挖掘与分析领域成果显著。掌握C#语言，基于.NET平台进行Windows桌面应用开发，具备丰富的Windows Forms、WPF项目经验，实现全栈技术链路的打通。"
            },
            "dataList": null
        },
        {
            "moduleType": 24,
            "moduleName": "求职期望",
            "customConfig": {
                "showType": 0,
                "desc": null,
                "tag": null
            },
            "data": null,
            "dataList": [
                {
                    "id": "dfc1777a2703c9071nVz3d-0GVpYxA~~",
                    "expectType": 0,
                    "position": 100123,
                    "positionName": "全栈工程师",
                    "customPositionId": "",
                    "positionType": 0,
                    "location": 101020100,
                    "locationName": "上海",
                    "subLocation": 0,
                    "subLocationName": null,
                    "lowSalary": 20,
                    "highSalary": 30,
                    "salaryDesc": "20-30K",
                    "salaryDescNew": "20-30K",
                    "industryList": [],
                    "industryDesc": "行业不限",
                    "suggestPosition": "",
                    "applyStatus": 0,
                    "freshGraduate": 0,
                    "doneWorkPositionList": null,
                    "garbageFieldList": null,
                    "interestPositionList": null,
                    "interestLocationList": null,
                    "industryExpect": false,
                    "tagName": null
                }
            ]
        },
        {
            "moduleType": 12,
            "moduleName": "工作经历",
            "customConfig": {
                "showType": 0,
                "desc": null,
                "tag": null
            },
            "data": null,
            "dataList": [
                {
                    "id": "9bd3116c0333c52d1nJ_09y-EldZx465V_-X",
                    "companyName": "上海宝尊电子商务有限公司",
                    "industry": {
                        "code": 100020,
                        "name": "互联网"
                    },
                    "department": "",
                    "customPositionName": "架构师",
                    "position": 100704,
                    "positionName": "架构师",
                    "positionLv2": 100700,
                    "startDate": "2019.06",
                    "startDateStr": "2019.06",
                    "endDate": "2024.12",
                    "endDateStr": "2024.12",
                    "emphasis": [],
                    "workContent": "智能视频剪辑系统(2021.07-2024.12)\n技术栈:Vue2+Element UI+WebAssembly+Canvas+Konva.js+WebSocket+GSAP\n核心功能:\n1.视频处理:基于WebAssembly解析视频信息,实现大文件分片上传,支持200G+视频处理\n2.创意编辑:使用Konva.js开发多层级编辑器,实现图片分层、文字动画、贴片特效\n3.动画系统:基于GSAP开发文字特效、Logo动画,支持动态片头片尾制作\n4.预览系统:使用Canvas实现视频片段预览,支持时间轴精确定位\n5.任务管理:基于WebSocket实现批量任务进度实时通知\n项目成果:视频处理效率提升300%|日均处理1000+视频|压缩率达97%|任务效率提升200%|降低\n人工成本60%",
                    "workPerformance": "",
                    "isPublic": 1,
                    "workType": 1,
                    "suggestToDel": 0,
                    "garbageFieldList": null
                },
                {
                    "id": "283b1abcae6041e41nJ_0969ElpVy423Vvic",
                    "companyName": "上海航天动力科技工程有限公司",
                    "industry": {
                        "code": 100021,
                        "name": "计算机软件"
                    },
                    "department": "",
                    "customPositionName": "架构师",
                    "position": 100704,
                    "positionName": "架构师",
                    "positionLv2": 100700,
                    "startDate": "2018.06",
                    "startDateStr": "2018.06",
                    "endDate": "2019.06",
                    "endDateStr": "2019.06",
                    "emphasis": [],
                    "workContent": "技术栈:Vue2+iView+OpenLayers+Cesium+WebSocket+Less\n核心功能:\n1.GIS可视化:基于OpenLayers实现管网GIS展示,支持多图层管理\n2.实时监控:使用WebSocket推送报警信息,实现管道水流方向动画\n3.数据分析:集成ECharts开发运营分析、报表统计功能\n4.空间分析:使用Turf.js实现等差线绘制,可视化爆管位置\n项目成果:地图加载提升200%|漏损检测准确率95%|节省成本300万+|服务10+水务公司|覆盖管\n网1000km+",
                    "workPerformance": "",
                    "isPublic": 1,
                    "workType": 1,
                    "suggestToDel": 0,
                    "garbageFieldList": null
                },
                {
                    "id": "d18fc7f74a6479ee1nJ_0969ElpVy423Vvid",
                    "companyName": "上海开澜软件有限公司",
                    "industry": {
                        "code": 100021,
                        "name": "计算机软件"
                    },
                    "department": "",
                    "customPositionName": ".NET",
                    "position": 100107,
                    "positionName": ".NET",
                    "positionLv2": 100100,
                    "startDate": "2016.06",
                    "startDateStr": "2016.06",
                    "endDate": "2018.06",
                    "endDateStr": "2018.06",
                    "emphasis": [
                        "HTML"
                    ],
                    "workContent": "滩涂造地BIM管理系统(2017.01-2018.05)\n技术栈:jQuery+EasyUI+BIMViz+百度图+WebAppOffice\n核心功能:\n1.BIM可视化:集成BIMViz实现模型在线预览,支持构件查询和联动\n2.地图集成:基于百度地图API实现工程位置展示和空间分析\n3.文档管理:使用WebAppOffice实现在线预览,支持多格式文档\n4.工作流程:开发OA审批流程,实现物料申请和人员管理\n项目成果:BIM性能提升200%|审批效率提升150%|支持50+文档格式|日均处理500+工单|管理效\n率提升80%",
                    "workPerformance": "",
                    "isPublic": 1,
                    "workType": 1,
                    "suggestToDel": 0,
                    "garbageFieldList": null
                },
                {
                    "id": "c07196b9b117210f1nJ_0969ElpVy423Vvie",
                    "companyName": "上海加谷网络科技有限公司",
                    "industry": {
                        "code": 100002,
                        "name": "游戏"
                    },
                    "department": "",
                    "customPositionName": ".NET",
                    "position": 100107,
                    "positionName": ".NET",
                    "positionLv2": 100100,
                    "startDate": "2014.06",
                    "startDateStr": "2014.06",
                    "endDate": "2016.05",
                    "endDateStr": "2016.05",
                    "emphasis": [
                        "HTML"
                    ],
                    "workContent": "H5营销平台开发(2014.06-2016.05)\n技术栈:jQuery+Canvas+CSS3+HTML5+微信JSSDK\n核心功能:\n1.互动游戏:开发大转盘抽奖、刮刮卡、砸金蛋等H5游戏\n2.动画特效:自研Canvas动画框架,支持Flash动画转换\n3.低代码平台:开发可视化搭建工具,支持营销活动快速生成\n4.社交功能:集成微信分享、支付、授权等功能项目成果:服务200+品牌|开发效率提升300%|上线周期缩短80%|转化率提升150%|支持百万级访问",
                    "workPerformance": "",
                    "isPublic": 1,
                    "workType": 1,
                    "suggestToDel": 0,
                    "garbageFieldList": null
                }
            ]
        },
        {
            "moduleType": 13,
            "moduleName": "项目经历",
            "customConfig": {
                "showType": 0,
                "desc": null,
                "tag": null
            },
            "data": null,
            "dataList": [
                {
                    "id": "903b8e07eb7f44ca1nx50t-6EFZQw4i8UvKY",
                    "name": "AI智能视频剪辑系统",
                    "roleName": "全栈工程师",
                    "url": "",
                    "startDate": "2024.01",
                    "endDate": "",
                    "projectDesc": "系统简介\nai智能视频剪辑系统,可通过淘宝直播间,天猫,淘宝商品链接,自动从直播间中按照商品切片,并输出到天猫商品详情页主视频,发布到小红书,淘宝微淘等平台,可批量生成视频,处理视频,前端技术栈:vue全家桶+elemeui+浏览器插件\n后端技术栈:Node.js+Koa2+Vue2+FFmpeg+Redis\n功能模块:\n1.内容采集:开发Chrome浏览器插件自动获取直播回放、商品时间点智能识别、多平台视频源导入本地大视频文件上传,支持200g左右大文件批量上传,断点续传等功能\n2.任务管理:用户可以批量创建任务,任务实时状态使用WebSocket更新并通知\n3.模版管理:可基于execl文件批量创建任务,动态生成片尾图和首图\n4.智能生成:基于GPT的视频内容理解、关键片段提取和智能场景组合、60秒精华自动生成\n5.内容编辑:多轨道编辑和场景识别分割、转场特效库和字幕样式编辑、贴纸滤镜和音频处理、GSAP文字动画和Logo动效\n6.深度剪辑:用户可以拖动句子,自动以切片输出内容\n7.发布管理:多格式导出和自定义分辨率码率、批量导出队列和云端渲染、进度实时展示\n8.视频特效开发:如:文字抖动,花字,特效,特殊字幕,贴片动画等工作成果:\n1.使用FFmpeg开发视频处理引擎,支持多种视频格式转码,压缩进度回调\n2.设计任务队列系统,服务器CPU使用率控制在70%以下,使用负载均衡分摊压力,实现任务批量处理\n3.集成GPT模型,视频内容理解准确率达85%,精华片段提取效率提升200%\n4.实现大文件分片上传,支持断点续传,上传成功率99%\n5.开发完整的日志追踪系统,问题定位时间缩短,使用sse日志推送至前端页面可实时观察任务处理情况,接入报警机器人报警推送至企业微信群\n6.开发前端视频渲染引擎,图片编辑器,js逆向破解支持数据采集成功\n7.封装常用前端组件库,前端框架搭建与维护,指导其他组员开发,解决问题",
                    "performance": "",
                    "suggestToDel": 0,
                    "garbageFieldList": null,
                    "startDateStr": "2024.01",
                    "endDateStr": "至今"
                },
                {
                    "id": "2a6ee534976187341nx50t-6EVNWyoq-Vf-e",
                    "name": "水务DMA分区计量管理系统",
                    "roleName": "全栈工程师",
                    "url": "",
                    "startDate": "2023.07",
                    "endDate": "",
                    "projectDesc": "DMA (DistrictMetered Area)分区计量管理系统是一种先进的、专门应用于供水管网精细化管理的综合性系统。\n通过将供水管网划分成多个相对独立的计量区域(即DMA分区),在每个分区的进水口和出水口等关键节点安装高精度的计量设备,精确监测和记录水流的流入、流出情况,实现对各个分区内水量的实时计量与分析,其核心原理是基于封闭区域水量平衡理论,通过对比流入和流出水量等数据,精准定位可能存在的管网漏损点以及评估管网运行状态,助力供水企业实现科学管理、高效节水以及提升供水服务质量.\n前端技术栈:vue全家桶+elemeui,c#+wpf\n后端技术栈:Node.js+Koa2+mysq\n功能模块:\n1.实时数据处理:对DMA分区计量设备的水流数据进行清洗、校验和初步分析\n2.GIS数据管理:提供接口实现与地理信息系统的数据交互,管理管网地理空间数据。\n3.数据存储:基于MongoDB设计数据存储架构,进行数据备份与恢复。\n4.管网可视化:通过地图展示供水管网地理空间数据,支持多种地图操作\n5.空间分析:实现管网连通性、最短路径、缓冲区等空间分析功能。\n6.地图交互:提供地图标注和测距工具。\n7.实时数据推送:利用WebSocket实时推送DMA分区计量和设备状态数据。\n8.智能报警:实时监测管网异常,生成报警信息并通知相关人员,对报警信息分类统计\n9.设备状态监控:实时获取计量设备工作状态、电量等信息,分析运行历史数据数据采集功能\n10.数据采集程序:使用C#的WPF开发可与多种RTU设备通信的采集程序\n11.动态解析:服务端动态接收并自动解析不同RTU设备的数据。\n12.数据展示与导出:以图表和表格展示采集数据,支持CSV格式动态导出。\n项目成果:支持10000+设备并发查询性能提升150%系统稳定性99.99",
                    "performance": "",
                    "suggestToDel": 0,
                    "garbageFieldList": null,
                    "startDateStr": "2023.07",
                    "endDateStr": "至今"
                },
                {
                    "id": "6aa05589bc43d7711nx50t-6EVNWyoq-Vf-d",
                    "name": "bb物语小程序商城",
                    "roleName": "全栈工程师",
                    "url": "",
                    "startDate": "2023.05",
                    "endDate": "",
                    "projectDesc": "技术架构:\n前端:Vue2+mpVue\n后端:node.js+koa2+sequelize\n数据库:MySQL+Redis\n功能模块:\n1.商品管理:商品分类、商品上架、库存管理、价格管理、商品搜索\n2.订单管理:订单创建、订单支付、订单取消、订单查询,订单统计\n3.用户管理:用户注册、用户登录、用户信息管理、用户积分、用户等级\n4.营销管理:优惠券管理、满减活动、限时抢购、拼团活动、积分兑换\n5.支付系统:微信支付、支付宝支付\n4.设计用户管理系统,支持用户注册、登录、信息管理和积分系统\n5.开发营销管理模块,支持优惠券、满减活动、限时抢购和拼团活动\n6.实现数据分析功能,支持销售数据统计,用户行为分析、商品热度分析、营销效果分析\n工作成果:\n1.实现商品管理系统,支持商品的分类、上架、库存和价格管理\n2.开发订单管理模块,支持订单的创建、支付、取消和查询\n3.集成多种支付方式,支持微信支付、支付宝支付\n4.设计用户管理系统,支持用户注册、登录、信息管理和积分系统\n5.开发营销管理模块,支持优惠券、满减活动、限时抢购和拼团活动\n6.实现数据分析功能,支持销售数据统计,用户行为分析和商品热度分析\n7.支持三级分销,以及销售人员工资统计",
                    "performance": "",
                    "suggestToDel": 0,
                    "garbageFieldList": null,
                    "startDateStr": "2023.05",
                    "endDateStr": "至今"
                },
                {
                    "id": "32010e34944e04851nJ_0969E1JQx4q-Vfuc",
                    "name": "AI智能写手系统",
                    "roleName": "全栈开发工程师",
                    "url": "",
                    "startDate": "2020.03",
                    "endDate": "2021.07",
                    "projectDesc": "技术栈:Vue2+Element Ul+WebSocket+jWT+Less+Webpack+Node.js\n核心功能:\n1.平台管理:基于IWT的权限控制,实现品牌管理、角色权限、秀场墙功能\n2.内容制作:开发智能语句生成,作品库管理,多元化批量处理功能\n3.数据采集:Chrome插件开发,实现多平台商品信息自动采集\n4.多端适配:使用Rem+Flex实现响应式布局,支持不同屏幕自适应\n5.自动发布:开发多平台发布插件,支持淘宝天猫京东等平台内自动发布\n6.定时任务:基于Node.js实现定时发布、数据同步、内容更新等动化任务\n项目成果:开发效率提升200%|首屏加载800ms|数据处理效率提升300%|服务10+品牌|运营效率\n提升400%|任务成功率99.5%",
                    "performance": "开发效率提升200%首屏加载800ms数据处理效率提升300%服务10+品牌运营效率\n提升400%任务成功率99.5%",
                    "suggestToDel": 0,
                    "garbageFieldList": null,
                    "startDateStr": "2020.03",
                    "endDateStr": "2021.07"
                },
                {
                    "id": "1dc51326ce11bc601nJ_0969E1JQx4q-Vfud",
                    "name": "易分析取数工具",
                    "roleName": "全栈开发工程师",
                    "url": "",
                    "startDate": "2019.08",
                    "endDate": "2020.03",
                    "projectDesc": "系统简介\n获取天猫,淘宝,腾讯,小红书蒲公英商家后台数据,用与大数据做营销精细化运营,支持人群画像,地域,人群,粉丝,购买,等一些列数据,以及达人数据粉丝数,带货数,直播场次,直播效果,商品评论,数据做分析\n前端技术栈:vue全家桶+elemeui+浏览器插件\n后端技术栈:Node.js+Koa2+mysql,Pythopn+Selenium+Flask\n功能模块:\n1.前端数据采集:淘宝数据银行API对接,策略中心数据抓取,生意参谋数据同步,营销数据实时获取\n2.后端数据采集:\n3.插件功能:多平台数据采集插件、自定义数据抓取规则、请求拦截和数据过滤、离线数据缓存\n4.数据处理:多维度数据整合分析、数据清洗和结构化、自定义数据导出、实时数据同步\n5.监控预警:数据采集任务监控、异常采集预警,数据质量监控、采集额度管理\n工作成果:\n1.支持淘宝全站数据采集,日均处理5000+数据\n2.开发通用数据采集引擎,支持自定义采集规则\n3.实现数据实时同步,延迟<500ms\n4.分布式爬虫系统架构,支持分布式抓取",
                    "performance": "1. 设计插件热更新方案,实现核心模块动态替换和状态保持\n2. 开发多浏览器兼容层,解决不同浏览器API差异问题实现插件配置动态更新和按需加载机制\n3. 使用Sequelize设计数据模型,处理复杂的表关联和数据同步重写浏览器原生Ajax,实现智能请求拦截和缓存策略\n4. 开发分布式日志系统,支持问题快速定位",
                    "suggestToDel": 0,
                    "garbageFieldList": null,
                    "startDateStr": "2019.08",
                    "endDateStr": "2020.03"
                },
                {
                    "id": "e4294f91116b15dc1nJ_0969E1JQx4q-Vfue",
                    "name": "全工况智能终端采集系统",
                    "roleName": ".net软件工程师",
                    "url": "",
                    "startDate": "2018.05",
                    "endDate": "2018.08",
                    "projectDesc": "技术栈:WPF+Socket+InfluxDB+PostgreSQL\n核心功能:\n1.数据采集:实现Socket高并发通信,支持多协议解析\n2.实时监控:开发设备状态实时监控界面\n3.数据存储:设计混合数据库方案,优化查询性能\n4.可视化:实现数据实时展示和趋势分析\n项目成果:支持10000+设备并发|查询性能提升150%|系统稳定性99.99%|支持亿级数据毫秒级查询",
                    "performance": "1.实现百万级数据快速查询,平均查询时间<500ms\n2.设计实时数据动态渲染方案\n3.优化数据库性能,批量写入效率提升50%\n4.实现数据自动分级存储和归档\n5.开发设备状态实时监控系统",
                    "suggestToDel": 0,
                    "garbageFieldList": null,
                    "startDateStr": "2018.05",
                    "endDateStr": "2018.08"
                },
                {
                    "id": "96160107ede0ae851nJ_0969E1JQx4q-Vfuf",
                    "name": "宝山排水证管理系统",
                    "roleName": ".net软件工程师",
                    "url": "",
                    "startDate": "2017.01",
                    "endDate": "2017.07",
                    "projectDesc": "技术栈:AngularjS+KendoUI+lonic+TypeScript+MongoDE\n核心功能:\n1.PC端开发:基于KendoUI快速构建后台管理界面,实现许可证全流程管理\n2.移动端开发:使用lonic+Aneular开发跨平台App,支持iOS和Androic\n3.表单设计:实现动态表单配置,支持多类型数据录入和自定义校验规则\n4.流程管理:开发审批流程引擎,支持条件分支、并行审批、委托授权\n5.地图功能:集成百度地图,实现排水户分布展示和空间位置选择\n6.统计分析:开发数据可视化大屏,展示许可证办理情况和区域分布移动端技术难点:\n基于lonic+Cordova实现原生功能调用,如相机、定位、文件系统等解决Android返回键监听和iOS手势返冲突问题\n实现大文件分片上传和断点续传,支持现场照片批量上传\n开发自定义相机组件,支持照片压缩和水印添加使用SOLite实现本地数据存储,解决断网环境下的数据同光\n优化Scroll性能,解决长列表滚动卡顿问题\n处理键盘弹出时的页面布局自适应\n解决iOS和Android平台字体、样式兼容性问题\n实现应用内检查更新和增量更新功能\n优化首屏加载速度,实现资源按需加载\n项目成果:办理时间缩短80%|代码复用率80%|响应时间300ms|审批效率提升200%",
                    "performance": "1. 实现大文件分片上传和断点续传,支持现场照片批量上传开发自定义相机组件,支持照片压缩和水印添加使用SOLite实现本地数据存储,解决断网环境下的数据同光\n2. 优化Scroll性能,解决长列表滚动卡顿问题处理键盘弹出时的页面布局自适应解决iOS和Android平台字体、样式兼容性问题实现应用内检查更新和增量更新功能\n3. 优化首屏加载速度,实现资源按需加载",
                    "suggestToDel": 0,
                    "garbageFieldList": null,
                    "startDateStr": "2017.01",
                    "endDateStr": "2017.07"
                },
                {
                    "id": "c06dfe8c3678cf231nJ90tq7EVpQxo6_V_qW",
                    "name": "H5营销平台",
                    "roleName": ".net软件工程师",
                    "url": "",
                    "startDate": "2014.06",
                    "endDate": "2016.05",
                    "projectDesc": "技术栈:Vue2+Canvas+CSS3+微信ISSDK+.Net\n功能模块:\n1.游戏开发:开发大转盘抽奖、刮刮卡等H5游戏、自研Canvas动画框架、支持Flash动画转换\n2.内容管理:开发可视化搭建工具、支持营销活动快速生成、实现模板在线编辑\n3.社交功能:集成微信分享、支付、授权、开发用户数据分析、实现活动数据统计\n项目成果:服务200+品牌开发效率提升300%转化率提升150%",
                    "performance": "",
                    "suggestToDel": 0,
                    "garbageFieldList": null,
                    "startDateStr": "2014.06",
                    "endDateStr": "2016.05"
                },
                {
                    "id": "4e09afd8b41347c61nJ_0969E1JQx4q-VfqW",
                    "name": "物料ERP管理系统",
                    "roleName": "前端开发工程师",
                    "url": "",
                    "startDate": "2014.08",
                    "endDate": "2015.06",
                    "projectDesc": "技术栈:jQuery+Bootstrap+EasyUl+WebSocket+SQL Server\n核心功能:\n1.库存管理:实现物料库、出库、调拨、盘点等完整业务流程\n2.采购管理:开发供应商管理、询价比价、采购计划、订单跟踪功能\n3.生产管理:实现BOM管理、生产计划、物料需求计划(MRP)功能\n4.报表分析:开发库存周转率、采购分析、成本核算等统计报表\n5.预警提醒:设置库存预警、采购超期、价格异常等自动提醒\n技术难点:\n开发物料编码生成器,支持多级分类和自定义规则\n实现基于WebSocket的实时库存变更提醒\n设计MRP运算引擎,优化大批量数据处理性能\n开发报表导出功能,支持复杂表头和数据汇总项目成果:库存周转提升40%|采购成本降低15%|支持100+用户并发|日均处理3000+笔业务",
                    "performance": "1. 开发物料编码生成器,支持多级分类和自定义规则\n2. 实现基于WebSocket的实时库存变更提醒\n3. 设计MRP运算引擎,优化大批量数据处理性能\n4. 开发报表导出功能,支持复杂表头和数据汇",
                    "suggestToDel": 0,
                    "garbageFieldList": null,
                    "startDateStr": "2014.08",
                    "endDateStr": "2015.06"
                }
            ]
        },
        {
            "moduleType": 14,
            "moduleName": "教育经历",
            "customConfig": {
                "showType": 0,
                "desc": null,
                "tag": null
            },
            "data": null,
            "dataList": [
                {
                    "id": "ee34188f32f9cecc1XF52NW5F1dT",
                    "schoolId": 2811,
                    "school": "武汉工程大学",
                    "major": "计算机应用技术(大数据方向)",
                    "degree": 203,
                    "eduType": 2,
                    "degreeName": "本科",
                    "startYear": "2021",
                    "endYear": "2024",
                    "educationDesc": "",
                    "country": "",
                    "tags": [
                        "卓越工程师计划"
                    ],
                    "schoolType": 0,
                    "suggestToDel": 0,
                    "thesisTitle": "",
                    "thesisDesc": "",
                    "majorRanking": 0,
                    "courseList": [],
                    "badge": "https://img.bosszhipin.com/beijin/icon/bed7df948518127f74daa2ee178c44fc6bb61e3b7bce0931da574d19d1d82c88.jpg",
                    "certified": 0,
                    "garbageFieldList": null,
                    "startYearStr": "2021",
                    "endYearStr": "2024"
                },
                {
                    "id": "e095a1ceefdd0cc31XF52NW6FVZY",
                    "schoolId": 2831,
                    "school": "武汉软件工程职业学院",
                    "major": "软件技术",
                    "degree": 202,
                    "eduType": 1,
                    "degreeName": "大专",
                    "startYear": "2011",
                    "endYear": "2014",
                    "educationDesc": "",
                    "country": "",
                    "tags": [],
                    "schoolType": 0,
                    "suggestToDel": 0,
                    "thesisTitle": "",
                    "thesisDesc": "",
                    "majorRanking": 0,
                    "courseList": [],
                    "badge": "https://img.bosszhipin.com/beijin/icon/18282111c2fc8e191c5b6aedcece5a956bb61e3b7bce0931da574d19d1d82c88.jpg",
                    "certified": 0,
                    "garbageFieldList": null,
                    "startYearStr": "2011",
                    "endYearStr": "2014"
                }
            ]
        },
        {
            "moduleType": 16,
            "moduleName": "资格证书",
            "customConfig": {
                "showType": 1,
                "desc": null,
                "tag": null
            },
            "data": null,
            "dataList": null
        },
        {
            "moduleType": 21,
            "moduleName": "志愿服务经历",
            "customConfig": {
                "showType": 1,
                "desc": null,
                "tag": null
            },
            "data": null,
            "dataList": null
        }
    ]
}